{
  lib,
  stdenv,
  fetchFromGitHub,
  pciutils,
  bash,
}:

stdenv.mkDerivation {
  pname = "steamdeck-bios-manager";
  version = "871dfd9900d2e130fd0276d1dfc00feab7bf5cac";

  src = fetchFromGitHub {
    owner = "ryanrudolfoba";
    repo = "SteamDeck-BIOS-Manager";
    rev = "871dfd9900d2e130fd0276d1dfc00feab7bf5cac";
    sha256 = lib.fakeHash;
  };

  # shell scripts — no compilation
  dontBuild = true;

  installPhase = ''
    mkdir -p $out/bin
    cp steamdeck-bios-manager.sh $out/bin/steamdeck-bios-manager
    chmod +x $out/bin/steamdeck-bios-manager
  '';

  # runtime deps
  propagatedBuildInputs = [
    pciutils
    bash
  ];

  meta = with lib; {
    description = "Manage BIOS for the Steam Deck (unlock, flash, backup, block updates)";
    homepage = "https://github.com/ryanrudolfoba/SteamDeck-BIOS-Manager";
    license = licenses.agpl3Only;
    platforms = platforms.linux;
    maintainers = [ ];
    sourceProvenance = with sourceTypes; [ ];
  };
}
